Bug 235394 - can't connect to wep-protected network after key change; can with iwconfig
Summary: can't connect to wep-protected network after key change; can with iwconfig
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 15:29 UTC by Andrew Overholt
Modified: 2008-04-04 13:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 13:39:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tail -f /var/log/messages (18.88 KB, text/plain)
2007-04-05 16:54 UTC, Andrew Overholt
no flags Details

Description Andrew Overholt 2007-04-05 15:29:27 UTC
Description of problem:
A wireless network I use changed wep keys recently.  I now cannot re-connect. 
Using iwconfig on the command line, I *can* get a dhcp lease.

Version-Release number of selected component (if applicable):
NetworkManager-1:0.6.5-0.6.svn2474.fc7.i386
ipw2200-firmware-3.0-9.noarch
kernel-2.6.20-1.3040.fc7.i686

How reproducible:
I've rebooted and still can't connect.

Comment 1 Christopher Aillon 2007-04-05 15:35:28 UTC
There's no prompt for you to enter a new key?

Comment 2 Andrew Overholt 2007-04-05 16:02:08 UTC
Sorry, I should have said that I am prompted but after entering the new key it
just spins and comes back again.  Watching /var/log/messages indicates that the
dhclient calls aren't receiving anything and after it tries all the different
intervals, it returns.  Using the same key on the command line does work - even
while the NM dialogue asking for a new one is sitting there.  This is at work, BTW.

Comment 3 Christopher Aillon 2007-04-05 16:40:30 UTC
And dhcdbd is running?

Comment 4 Andrew Overholt 2007-04-05 16:54:34 UTC
Created attachment 151781 [details]
tail -f /var/log/messages

Here's me tailing /var/log/messages during the negotiations attempts.  I've
stripped out addresses and ssids.  I tried once copying and pasting the key as
Passphrase and once as Hex.  I then tried editing my gconf key directly and
pasting in the new key.  I finally gave up and plugged in my wired connection.

dhcdbd appears to be running:

$ ps aux | grep dhcdbd
root	  2092	0.0  0.0   2056   868 ?        Ss   12:35   0:00 /sbin/dhcdbd
--system

I'm now running today's rawhide and I've rebooted to this kernel:

NetworkManager-1:0.6.5-0.6.svn2474.fc7.i386
ipw2200-firmware-3.0-9.noarch
kernel-2.6.20-1.3045.fc7.i686

This is on a T42 Thinkpad FWIW.

Comment 5 Bug Zapper 2008-04-03 23:57:30 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Andrew Overholt 2008-04-04 13:39:01 UTC
Chris helped me fix this in person.  There was something wrong with my gconf
keys or something.


Note You need to log in before you can comment on or make changes to this bug.